#include <stdio.h>
#include <math.h>

using namespace std;

double d(int x1,int y1, int x2, int y2)
{
    return sqrt((x1-x2)*(x1-x2)+(y1-y2)*(y1-y2));
}
int main()
{
    int n,i,x[1500],y[1500];
    scanf("%d",&n);
    for(i=0;i<n;i++)
    {
        scanf("%d%d",&x[i],&y[i]);
    }
    printf("1");
}